Library Version 18.1.40

db_tuner
Prev | Appendix A. Berkeley DB Command Line Utilities | Next

## db_tuner

    db_tuner [-c cachesize] -d file [-h home] [-s database] [-S o | v] [-v]

The db_tuner utility analyzes the data in a btree database, and suggests a page size that is likely to deliver optimal operation.

### Note

The db_tuner utility assumes that databases are compacted when analysing the data. The analysis is based on a static view of the data and the data access and update patterns are not take into account.

The options are as follows:

- -c

  Specify a value of the cachesize, otherwise, the default value will be set.

- -d

  Display database statistics for the specified file. If the database contains multiple databases and the -s flag is not specified, the statistics are for the internal database that describes the other databases the file contains, and not for the file as a whole.

- -h

  Specify a home directory for the database environment.

- -s

  Display page size recommendation for the specified database contained in the file specified with the -d flag.

- -S

  Verify the specified database before analyzing the database. The analysis is not performed if the database is corrupted. Use this option when you are not sure about the integrity of the database.

  - o

    Skip the database checks for btree and duplicate sort order and for hashing. See also -o option for db_verify.

  - v

    Perform the standard verification on the database as performed by db_verify without options.

- -v

  Display verbose information.

Prev | Up | Next
db_stat | Home | db_upgrade